﻿/*
 * This is part of PosXp
 * Copyright (C) 2006-2013  Alberto Rivelli
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2 
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. 
 */

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace POS.Framework
{
    public partial class Operations : Form
    {

        public Operations()
        {
            InitializeComponent();
        }

        private void Operations_Load(object sender, EventArgs e){

        CheckedListBox.DataSource = ((AzmanPrincipal)System.Threading.Thread.CurrentPrincipal).CachedOps;

        }

        private void Operations_Shown(object sender, EventArgs e){

        CheckedListBox.DataSource = null;
        CheckedListBox.DataSource = ((AzmanPrincipal)System.Threading.Thread.CurrentPrincipal).CachedOps;

        }

        private void BtnOpAnn_Click(object sender, EventArgs e){

            this.DialogResult = DialogResult.Cancel;

            this.Close();

        }

        private void BtnOpAdd_Click(object sender, EventArgs e){

            this.DialogResult = DialogResult.OK;

            this.Close();

        }

    }
}
