﻿/*
 * This is part of PosXp
 * Copyright (C) 2006-2013  Alberto Rivelli
 * 
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either version 2 
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. 
 */

using System;
using System.ComponentModel;
using System.Drawing;
using System.Runtime.InteropServices;
using System.Text;
using System.Windows.Forms;
using POS.Controls;

namespace POS.Controls
{

    public class TouchKeyboard : Form
    {


        public void Show(int x, int y)
        {
            //reset shift button
            if (Button23.BackColor == Color.White) Shift_Click(this, new MouseEventArgs(MouseButtons.Left,1,0,0,0));
            
            this.Location = new Point(x, y);

            this.TopMost = true;

            this.Show();

        }


        protected override void WndProc(ref Message m)
        {

            const int WM_MOUSEACTIVATE = 0x0021;
            const int MA_NOACTIVATE = 0x0003;

            if (m.Msg == WM_MOUSEACTIVATE)
            {

                //Tell Windows not to activate the window on a mouse click.
                m.Result = (IntPtr)MA_NOACTIVATE;

            }
            else
            {

                base.WndProc(ref m);

            }

        }

        public TouchKeyboard()
        {

            InitializeComponent();

            Button1.MouseClick += this.Key_Click;
            Button2.MouseClick += this.Key_Click;
            Button3.MouseClick += this.Key_Click;
            Button4.MouseClick += this.Key_Click;
            Button5.MouseClick += this.Key_Click;
            Button6.MouseClick += this.Key_Click;
            Button7.MouseClick += this.Key_Click;
            Button8.MouseClick += this.Key_Click;
            Button9.MouseClick += this.Key_Click;
            Button10.MouseClick += this.Key_Click;
            Button11.MouseClick += this.Key_Click;
            Button12.MouseClick += this.Key_Click;
            Button13.MouseClick += this.Key_Click;
            Button14.MouseClick += this.Key_Click;
            Button15.MouseClick += this.Key_Click;
            Button16.MouseClick += this.Key_Click;
            Button17.MouseClick += this.Key_Click;
            Button18.MouseClick += this.Key_Click;
            Button19.MouseClick += this.Key_Click;
            Button20.MouseClick += this.Key_Click;
            Button21.MouseClick += this.Key_Click;
            Button22.MouseClick += this.Key_Click;
            Button23.MouseClick += this.Shift_Click;
            Button24.MouseClick += this.Key_Click;
            Button25.MouseClick += this.Key_Click;
            Button26.MouseClick += this.Key_Click;
            Button27.MouseClick += this.Key_Click;
            Button28.MouseClick += this.Key_Click;
            Button29.MouseClick += this.Key_Click;
            Button30.MouseClick += this.Key_Click;
            Button31.MouseClick += this.Key_Click;
            Button32.MouseClick += this.Key_Click;
            Button33.MouseClick += this.Key_Click;
            Button34.MouseClick += this.Key_Click;
            Button35.MouseClick += this.Key_Click;
            Button36.MouseClick += this.Key_Click;
            Button37.MouseClick += this.Key_Click;
            Button38.MouseClick += this.Key_Click;
            

        }

        private btn Button1;
        private btn Button2;
        private btn Button3;
        private btn Button4;
        private btn Button5;
        private btn Button6;
        private btn Button7;
        private btn Button8;
        private btn Button9;
        private btn Button10;
        private btn Button11;
        private btn Button12;
        private btn Button13;
        private btn Button14;
        private btn Button15;
        private btn Button16;
        private btn Button17;
        private btn Button18;
        private btn Button19;
        private btn Button20;
        private btn Button21;
        private btn Button22;
        private btn Button23;
        private btn Button24;
        private btn Button25;
        private btn Button26;
        private btn Button27;
        private btn Button28;
        private btn Button29;
        private btn Button30;
        private btn Button31;
        private btn Button32;
        private btn Button33;
        private btn Button34;
        private btn Button35;
        private btn Button36;
        private btn Button37;
        private btn Button38;


        private void InitializeComponent()
        {
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(TouchKeyboard));
            this.Button1 = new btn();
            this.Button2 = new btn();
            this.Button3 = new btn();
            this.Button4 = new btn();
            this.Button5 = new btn();
            this.Button6 = new btn();
            this.Button7 = new btn();
            this.Button8 = new btn();
            this.Button9 = new btn();
            this.Button10 = new btn();
            this.Button11 = new btn();
            this.Button12 = new btn();
            this.Button13 = new btn();
            this.Button14 = new btn();
            this.Button15 = new btn();
            this.Button16 = new btn();
            this.Button17 = new btn();
            this.Button18 = new btn();
            this.Button19 = new btn();
            this.Button20 = new btn();
            this.Button21 = new btn();
            this.Button22 = new btn();
            this.Button23 = new btn();
            this.Button24 = new btn();
            this.Button25 = new btn();
            this.Button26 = new btn();
            this.Button27 = new btn();
            this.Button28 = new btn();
            this.Button29 = new btn();
            this.Button30 = new btn();
            this.Button31 = new btn();
            this.Button32 = new btn();
            this.Button33 = new btn();
            this.Button34 = new btn();
            this.Button35 = new btn();
            this.Button36 = new btn();
            this.Button37 = new btn();
            this.Button38 = new btn();
            this.SuspendLayout();
            // 
            // Button1
            // 
            this.Button1.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button1.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button1.FlatAppearance.BorderSize = 0;
            this.Button1.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button1.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button1.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button1.ForeColor = Color.White;
            this.Button1.Location = new Point(12, 8);
            this.Button1.Name = "Button1";
            this.Button1.Size = new Size(76, 73);
            this.Button1.TabIndex = 1;
            this.Button1.Text = "Q";
            this.Button1.KeyCode = "{Q}";
            this.Button2.UseVisualStyleBackColor = false;
            // 
            // Button2
            // 
            this.Button2.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button2.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button2.FlatAppearance.BorderSize = 0;
            this.Button2.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button2.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button2.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button2.ForeColor = Color.White;
            this.Button2.Location = new Point(96, 8);
            this.Button2.Name = "Button2";
            this.Button2.Size = new Size(76, 73);
            this.Button2.TabIndex = 2;
            this.Button2.Text = "W";
            this.Button2.KeyCode = "{W}";
            this.Button2.UseVisualStyleBackColor = false;
            // 
            // Button3
            // 
            this.Button3.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button3.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button3.FlatAppearance.BorderSize = 0;
            this.Button3.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button3.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button3.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button3.ForeColor = Color.White;
            this.Button3.Location = new Point(180, 8);
            this.Button3.Name = "Button3";
            this.Button3.Size = new Size(76, 73);
            this.Button3.TabIndex = 3;
            this.Button3.Text = "E";
            this.Button3.KeyCode = "{E}";
            this.Button3.UseVisualStyleBackColor = false;
            // 
            // Button4
            // 
            this.Button4.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button4.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button4.FlatAppearance.BorderSize = 0;
            this.Button4.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button4.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button4.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button4.ForeColor = Color.White;
            this.Button4.Location = new Point(264, 8);
            this.Button4.Name = "Button4";
            this.Button4.Size = new Size(76, 73);
            this.Button4.TabIndex = 4;
            this.Button4.Text = "R";
            this.Button4.KeyCode = "{R}";
            this.Button4.UseVisualStyleBackColor = false;
            // 
            // Button5
            // 
            this.Button5.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button5.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button5.FlatAppearance.BorderSize = 0;
            this.Button5.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button5.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button5.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button5.ForeColor = Color.White;
            this.Button5.Location = new Point(350, 8);
            this.Button5.Name = "Button5";
            this.Button5.Size = new Size(76, 73);
            this.Button5.TabIndex = 5;
            this.Button5.Text = "T";
            this.Button5.KeyCode = "{T}";
            this.Button5.UseVisualStyleBackColor = false;
            // 
            // Button6
            // 
            this.Button6.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button6.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button6.FlatAppearance.BorderSize = 0;
            this.Button6.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button6.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button6.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button6.ForeColor = Color.White;
            this.Button6.Location = new Point(434, 8);
            this.Button6.Name = "Button6";
            this.Button6.Size = new Size(76, 73);
            this.Button6.TabIndex = 6;
            this.Button6.Text = "Y";
            this.Button6.KeyCode = "{Y}";
            this.Button6.UseVisualStyleBackColor = false;
            // 
            // Button7
            // 
            this.Button7.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button7.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button7.FlatAppearance.BorderSize = 0;
            this.Button7.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button7.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button7.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button7.ForeColor = Color.White;
            this.Button7.Location = new Point(518, 8);
            this.Button7.Name = "Button7";
            this.Button7.Size = new Size(76, 73);
            this.Button7.TabIndex = 7;
            this.Button7.Text = "U";
            this.Button7.KeyCode = "{U}";
            this.Button7.UseVisualStyleBackColor = false;
            // 
            // Button8
            // 
            this.Button8.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button8.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button8.FlatAppearance.BorderSize = 0;
            this.Button8.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button8.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button8.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button8.ForeColor = Color.White;
            this.Button8.Location = new Point(602, 8);
            this.Button8.Name = "Button8";
            this.Button8.Size = new Size(76, 73);
            this.Button8.TabIndex = 8;
            this.Button8.Text = "I";
            this.Button8.KeyCode = "{I}";
            this.Button8.UseVisualStyleBackColor = false;
            // 
            // Button9
            // 
            this.Button9.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button9.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button9.FlatAppearance.BorderSize = 0;
            this.Button9.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button9.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button9.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button9.ForeColor = Color.White;
            this.Button9.Location = new Point(686, 8);
            this.Button9.Name = "Button9";
            this.Button9.Size = new Size(76, 73);
            this.Button9.TabIndex = 9;
            this.Button9.Text = "O";
            this.Button9.KeyCode = "{O}";
            this.Button9.UseVisualStyleBackColor = false;
            // 
            // Button10
            // 
            this.Button10.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button10.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button10.FlatAppearance.BorderSize = 0;
            this.Button10.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button10.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button10.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button10.ForeColor = Color.White;
            this.Button10.Location = new Point(770, 8);
            this.Button10.Name = "Button10";
            this.Button10.Size = new Size(76, 73);
            this.Button10.TabIndex = 10;
            this.Button10.Text = "P";
            this.Button10.KeyCode = "{P}";
            this.Button10.UseVisualStyleBackColor = false;
            // 
            // Button11
            // 
            this.Button11.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button11.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button11.FlatAppearance.BorderSize = 0;
            this.Button11.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button11.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button11.Font = new Font("Calibri", 18F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button11.ForeColor = Color.White;
            this.Button11.Image = (Image)(resources.GetObject("backspace"));
            this.Button11.Location = new Point(854, 8);
            this.Button11.Name = "Button11";
            this.Button11.Size = new Size(158, 73);
            this.Button11.TabIndex = 11;
            this.Button11.Text = "";
            this.Button11.KeyCode = "{BACKSPACE}";
            this.Button11.UseVisualStyleBackColor = false;
            // 
            // Button12
            // 
            this.Button12.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button12.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button12.FlatAppearance.BorderSize = 0;
            this.Button12.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button12.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button12.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button12.ForeColor = Color.White;
            this.Button12.Location = new Point(34, 89);
            this.Button12.Name = "Button12";
            this.Button12.Size = new Size(76, 73);
            this.Button12.TabIndex = 12;
            this.Button12.Text = "A";
            this.Button12.KeyCode = "{A}";
            this.Button12.UseVisualStyleBackColor = false;
            // 
            // Button13
            // 
            this.Button13.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button13.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button13.FlatAppearance.BorderSize = 0;
            this.Button13.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button13.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button13.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button13.ForeColor = Color.White;
            this.Button13.Location = new Point(118, 89);
            this.Button13.Name = "Button13";
            this.Button13.Size = new Size(76, 73);
            this.Button13.TabIndex = 13;
            this.Button13.Text = "S";
            this.Button13.KeyCode = "{S}";
            this.Button13.UseVisualStyleBackColor = false;
            // 
            // Button14
            // 
            this.Button14.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button14.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button14.FlatAppearance.BorderSize = 0;
            this.Button14.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button14.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button14.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button14.ForeColor = Color.White;
            this.Button14.Location = new Point(202, 89);
            this.Button14.Name = "Button14";
            this.Button14.Size = new Size(76, 73);
            this.Button14.TabIndex = 14;
            this.Button14.Text = "D";
            this.Button14.KeyCode = "{D}";
            this.Button14.UseVisualStyleBackColor = false;
            // 
            // Button15
            // 
            this.Button15.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button15.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button15.FlatAppearance.BorderSize = 0;
            this.Button15.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button15.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button15.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button15.ForeColor = Color.White;
            this.Button15.Location = new Point(286, 89);
            this.Button15.Name = "Button15";
            this.Button15.Size = new Size(76, 73);
            this.Button15.TabIndex = 15;
            this.Button15.Text = "F";
            this.Button15.KeyCode = "{F}";
            this.Button15.UseVisualStyleBackColor = false;
            // 
            // Button16
            // 
            this.Button16.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button16.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button16.FlatAppearance.BorderSize = 0;
            this.Button16.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button16.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button16.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button16.ForeColor = Color.White;
            this.Button16.Location = new Point(370, 89);
            this.Button16.Name = "Button16";
            this.Button16.Size = new Size(76, 73);
            this.Button16.TabIndex = 16;
            this.Button16.Text = "G";
            this.Button16.KeyCode = "{G}";
            this.Button16.UseVisualStyleBackColor = false;
            // 
            // Button17
            // 
            this.Button17.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button17.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button17.FlatAppearance.BorderSize = 0;
            this.Button17.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button17.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button17.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button17.ForeColor = Color.White;
            this.Button17.Location = new Point(454, 89);
            this.Button17.Name = "Button17";
            this.Button17.Size = new Size(76, 73);
            this.Button17.TabIndex = 17;
            this.Button17.Text = "H";
            this.Button17.KeyCode = "{H}";
            this.Button17.UseVisualStyleBackColor = false;
            // 
            // Button18
            // 
            this.Button18.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button18.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button18.FlatAppearance.BorderSize = 0;
            this.Button18.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button18.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button18.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button18.ForeColor = Color.White;
            this.Button18.Location = new Point(538, 89);
            this.Button18.Name = "Button18";
            this.Button18.Size = new Size(76, 73);
            this.Button18.TabIndex = 18;
            this.Button18.Text = "J";
            this.Button18.KeyCode = "{J}";
            this.Button18.UseVisualStyleBackColor = false;
            // 
            // Button19
            // 
            this.Button19.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button19.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button19.FlatAppearance.BorderSize = 0;
            this.Button19.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button19.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button19.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button19.ForeColor = Color.White;
            this.Button19.Location = new Point(622, 89);
            this.Button19.Name = "Button19";
            this.Button19.Size = new Size(76, 73);
            this.Button19.TabIndex = 19;
            this.Button19.Text = "K";
            this.Button19.KeyCode = "{K}";
            this.Button19.UseVisualStyleBackColor = false;
            // 
            // Button20
            // 
            this.Button20.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button20.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button20.FlatAppearance.BorderSize = 0;
            this.Button20.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button20.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button20.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button20.ForeColor = Color.White;
            this.Button20.Location = new Point(706, 89);
            this.Button20.Name = "Button20";
            this.Button20.Size = new Size(76, 73);
            this.Button20.TabIndex = 20;
            this.Button20.Text = "L";
            this.Button20.KeyCode = "{L}";
            this.Button20.UseVisualStyleBackColor = false;
            // 
            // Button21
            // 
            this.Button21.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button21.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button21.FlatAppearance.BorderSize = 0;
            this.Button21.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button21.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button21.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button21.ForeColor = Color.White;
            this.Button21.Location = new Point(790, 89);
            this.Button21.Name = "Button21";
            this.Button21.Size = new Size(76, 73);
            this.Button21.TabIndex = 21;
            this.Button21.Text = "'";
            this.Button21.KeyCode = "{'}";
            this.Button21.UseVisualStyleBackColor = false;
            // 
            // Button22
            // 
            this.Button22.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button22.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button22.FlatAppearance.BorderSize = 0;
            this.Button22.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button22.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button22.Font = new Font("Calibri", 18F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button22.ForeColor = Color.White;
            this.Button22.Location = new Point(874, 89);
            this.Button22.Name = "Button22";
            this.Button22.Size = new Size(138, 73);
            this.Button22.TabIndex = 22;
            this.Button22.Text = "Enter";
            this.Button22.KeyCode = "{ENTER}";
            this.Button22.UseVisualStyleBackColor = false;
            // 
            // Button23
            // 
            this.Button23.BackColor = Color.FromArgb(((int)(((byte)(29)))), ((int)(((byte)(28)))), ((int)(((byte)(33)))));
            this.Button23.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button23.FlatAppearance.BorderSize = 0;
            this.Button23.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button23.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button23.Font = new Font("Calibri", 18F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button23.ForeColor = Color.White;
            this.Button23.Location = new Point(12, 170);
            this.Button23.Name = "Button23";
            this.Button23.Size = new Size(76, 73);
            this.Button23.TabIndex = 23;
            this.Button23.Text = "&&123";
            this.Button23.UseVisualStyleBackColor = false;
            // 
            // Button24
            // 
            this.Button24.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button24.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button24.FlatAppearance.BorderSize = 0;
            this.Button24.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button24.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button24.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button24.ForeColor = Color.White;
            this.Button24.Location = new Point(96, 170);
            this.Button24.Name = "Button24";
            this.Button24.Size = new Size(76, 73);
            this.Button24.TabIndex = 24;
            this.Button24.Text = "Z";
            this.Button24.KeyCode = "{Z}";
            this.Button24.UseVisualStyleBackColor = false;
            // 
            // Button25
            // 
            this.Button25.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button25.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button25.FlatAppearance.BorderSize = 0;
            this.Button25.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button25.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button25.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button25.ForeColor = Color.White;
            this.Button25.Location = new Point(180, 170);
            this.Button25.Name = "Button25";
            this.Button25.Size = new Size(76, 73);
            this.Button25.TabIndex = 25;
            this.Button25.Text = "X";
            this.Button25.KeyCode = "{X}";
            this.Button25.UseVisualStyleBackColor = false;
            // 
            // Button26
            // 
            this.Button26.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button26.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button26.FlatAppearance.BorderSize = 0;
            this.Button26.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button26.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button26.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button26.ForeColor = Color.White;
            this.Button26.Location = new Point(264, 170);
            this.Button26.Name = "Button26";
            this.Button26.Size = new Size(76, 73);
            this.Button26.TabIndex = 26;
            this.Button26.Text = "C";
            this.Button26.KeyCode = "{C}";
            this.Button26.UseVisualStyleBackColor = false;
            // 
            // Button27
            // 
            this.Button27.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button27.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button27.FlatAppearance.BorderSize = 0;
            this.Button27.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button27.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button27.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button27.ForeColor = Color.White;
            this.Button27.Location = new Point(350, 170);
            this.Button27.Name = "Button27";
            this.Button27.Size = new Size(76, 73);
            this.Button27.TabIndex = 27;
            this.Button27.Text = "V";
            this.Button27.KeyCode = "{V}";
            this.Button27.UseVisualStyleBackColor = false;
            // 
            // Button28
            // 
            this.Button28.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button28.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button28.FlatAppearance.BorderSize = 0;
            this.Button28.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button28.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button28.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button28.ForeColor = Color.White;
            this.Button28.Location = new Point(434, 170);
            this.Button28.Name = "Button28";
            this.Button28.Size = new Size(76, 73);
            this.Button28.TabIndex = 28;
            this.Button28.Text = "B";
            this.Button28.KeyCode = "{B}";
            this.Button28.UseVisualStyleBackColor = false;
            // 
            // Button29
            // 
            this.Button29.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button29.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button29.FlatAppearance.BorderSize = 0;
            this.Button29.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button29.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button29.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button29.ForeColor = Color.White;
            this.Button29.Location = new Point(518, 170);
            this.Button29.Name = "Button29";
            this.Button29.Size = new Size(76, 73);
            this.Button29.TabIndex = 29;
            this.Button29.Text = "N";
            this.Button29.KeyCode = "{N}";
            this.Button29.UseVisualStyleBackColor = false;
            // 
            // Button30
            // 
            this.Button30.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button30.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button30.FlatAppearance.BorderSize = 0;
            this.Button30.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button30.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button30.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button30.ForeColor = Color.White;
            this.Button30.Location = new Point(602, 170);
            this.Button30.Name = "Button30";
            this.Button30.Size = new Size(76, 73);
            this.Button30.TabIndex = 30;
            this.Button30.Text = "M";
            this.Button30.KeyCode = "{M}";
            this.Button30.UseVisualStyleBackColor = false;
            // 
            // Button31
            // 
            this.Button31.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button31.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button31.FlatAppearance.BorderSize = 0;
            this.Button31.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button31.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button31.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button31.ForeColor = Color.White;
            this.Button31.Location = new Point(686, 170);
            this.Button31.Name = "Button31";
            this.Button31.Size = new Size(76, 73);
            this.Button31.TabIndex = 31;
            this.Button31.Text = ",";
            this.Button31.KeyCode = "{,}";
            this.Button31.UseVisualStyleBackColor = false;
            // 
            // Button32
            // 
            this.Button32.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button32.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button32.FlatAppearance.BorderSize = 0;
            this.Button32.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button32.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button32.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button32.ForeColor = Color.White;
            this.Button32.Location = new Point(770, 170);
            this.Button32.Name = "Button32";
            this.Button32.Size = new Size(76, 73);
            this.Button32.TabIndex = 32;
            this.Button32.Text = ".";
            this.Button32.KeyCode = "{.}";
            this.Button32.UseVisualStyleBackColor = false;
            // 
            // Button33
            // 
            this.Button33.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button33.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button33.FlatAppearance.BorderSize = 0;
            this.Button33.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button33.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button33.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button33.ForeColor = Color.White;
            this.Button33.Location = new Point(854, 170);
            this.Button33.Name = "Button33";
            this.Button33.Size = new Size(76, 73);
            this.Button33.TabIndex = 33;
            this.Button33.Text = "/";
            this.Button33.KeyCode = "{/}";
            this.Button33.UseVisualStyleBackColor = false;
            // 
            // Button34
            // 
            this.Button34.BackColor = Color.FromArgb(((int)(((byte)(29)))), ((int)(((byte)(28)))), ((int)(((byte)(33)))));
            this.Button34.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button34.FlatAppearance.BorderSize = 0;
            this.Button34.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button34.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button34.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button34.ForeColor = Color.White;
            this.Button34.Image = (Image)(resources.GetObject("up"));
            this.Button34.Location = new Point(938, 170);
            this.Button34.Name = "Button34";
            this.Button34.Size = new Size(76, 73);
            this.Button34.TabIndex = 34;
            this.Button34.Text = "";
            this.Button34.KeyCode = "{UP}";
            this.Button34.UseVisualStyleBackColor = false;
            // 
            // Button35
            // 
            this.Button35.BackColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button35.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button35.FlatAppearance.BorderSize = 0;
            this.Button35.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button35.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button35.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button35.ForeColor = Color.White;
            this.Button35.Location = new Point(264, 251);
            this.Button35.Name = "Button35";
            this.Button35.Size = new Size(498, 73);
            this.Button35.TabIndex = 35;
            this.Button35.Text = "";
            this.Button35.KeyCode = " ";
            this.Button35.UseVisualStyleBackColor = false;
            // 
            // Button36
            // 
            this.Button36.BackColor = Color.FromArgb(((int)(((byte)(29)))), ((int)(((byte)(28)))), ((int)(((byte)(33)))));
            this.Button36.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button36.FlatAppearance.BorderSize = 0;
            this.Button36.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button36.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button36.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button36.ForeColor = Color.White;
            this.Button36.Image = (Image)(resources.GetObject("left"));
            this.Button36.Location = new Point(770, 251);
            this.Button36.Name = "Button36";
            this.Button36.Size = new Size(76, 73);
            this.Button36.TabIndex = 36;
            this.Button36.Text = "";
            this.Button36.KeyCode = "{LEFT}";
            this.Button36.UseVisualStyleBackColor = false;
            // 
            // Button37
            // 
            this.Button37.BackColor = Color.FromArgb(((int)(((byte)(29)))), ((int)(((byte)(28)))), ((int)(((byte)(33)))));
            this.Button37.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button37.FlatAppearance.BorderSize = 0;
            this.Button37.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button37.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button37.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button37.ForeColor = Color.White;
            this.Button37.Location = new Point(854, 251);
            this.Button37.Image = (Image)(resources.GetObject("right"));
            this.Button37.Name = "Button37";
            this.Button37.Size = new Size(76, 73);
            this.Button37.TabIndex = 37;
            this.Button37.Text = "";
            this.Button37.KeyCode = "{RIGHT}";
            this.Button37.UseVisualStyleBackColor = false;
            // 
            // Button38
            // 
            this.Button38.BackColor = Color.FromArgb(((int)(((byte)(29)))), ((int)(((byte)(28)))), ((int)(((byte)(33)))));
            this.Button38.FlatAppearance.BorderColor = Color.FromArgb(((int)(((byte)(48)))), ((int)(((byte)(47)))), ((int)(((byte)(55)))));
            this.Button38.FlatAppearance.BorderSize = 0;
            this.Button38.FlatAppearance.MouseDownBackColor = Color.White;
            this.Button38.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
            this.Button38.Font = new Font("Calibri", 23.25F, FontStyle.Regular, GraphicsUnit.Point, ((byte)(0)));
            this.Button38.ForeColor = Color.White;
            this.Button38.Image = (Image)(resources.GetObject("down"));
            this.Button38.Location = new Point(938, 251);
            this.Button38.Name = "Button38";
            this.Button38.Size = new Size(76, 73);
            this.Button38.TabIndex = 38;
            this.Button38.Text = "";
            this.Button38.KeyCode = "{DOWN}";
            this.Button38.UseVisualStyleBackColor = false;
            // 
            // TouchKeyboard
            // 
            this.AutoScaleDimensions = new SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.BackColor = Color.Black;
            this.ClientSize = new Size(1022, 330);
            this.ControlBox = false;
            this.Controls.Add(this.Button1);
            this.Controls.Add(this.Button2);
            this.Controls.Add(this.Button3);
            this.Controls.Add(this.Button4);
            this.Controls.Add(this.Button5);
            this.Controls.Add(this.Button6);
            this.Controls.Add(this.Button7);
            this.Controls.Add(this.Button8);
            this.Controls.Add(this.Button9);
            this.Controls.Add(this.Button10);
            this.Controls.Add(this.Button11);
            this.Controls.Add(this.Button12);
            this.Controls.Add(this.Button13);
            this.Controls.Add(this.Button14);
            this.Controls.Add(this.Button15);
            this.Controls.Add(this.Button16);
            this.Controls.Add(this.Button17);
            this.Controls.Add(this.Button18);
            this.Controls.Add(this.Button19);
            this.Controls.Add(this.Button20);
            this.Controls.Add(this.Button21);
            this.Controls.Add(this.Button22);
            this.Controls.Add(this.Button23);
            this.Controls.Add(this.Button24);
            this.Controls.Add(this.Button25);
            this.Controls.Add(this.Button26);
            this.Controls.Add(this.Button27);
            this.Controls.Add(this.Button28);
            this.Controls.Add(this.Button29);
            this.Controls.Add(this.Button30);
            this.Controls.Add(this.Button31);
            this.Controls.Add(this.Button32);
            this.Controls.Add(this.Button33);
            this.Controls.Add(this.Button34);
            this.Controls.Add(this.Button35);
            this.Controls.Add(this.Button36);
            this.Controls.Add(this.Button37);
            this.Controls.Add(this.Button38);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedToolWindow;
            this.Name = "TouchKeyboard";
            this.StartPosition = System.Windows.Forms.FormStartPosition.Manual;
            this.TopMost = true;
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        private void Key_Click(object sender, MouseEventArgs e)
        {
            SendKeys.Send(((btn)sender).KeyCode);

        }

        private void Shift_Click(object sender, MouseEventArgs e)
        {
            if (Button23.ForeColor == Color.White)
            {
                Button23.ForeColor = Button23.BackColor;
                Button23.BackColor = Color.White;

                Button1.KeyCode = "{1}";
                Button2.KeyCode = "{2}";
                Button3.KeyCode = "{3}";
                Button4.KeyCode = "{4}";
                Button5.KeyCode = "{5}";
                Button6.KeyCode = "{6}";
                Button7.KeyCode = "{7}";
                Button8.KeyCode = "{8}";
                Button9.KeyCode = "{9}";
                Button10.KeyCode = "{0}";
                Button31.KeyCode = "{-}";
                Button32.KeyCode = "{_}";

                Button1.Text = "1";
                Button2.Text = "2";
                Button3.Text = "3";
                Button4.Text = "4";
                Button5.Text = "5";
                Button6.Text = "6";
                Button7.Text = "7";
                Button8.Text = "8";
                Button9.Text = "9";
                Button10.Text = "0";
                Button31.Text = "-";
                Button32.Text = "_";
            }
            else
            {
                Button23.BackColor = Button23.ForeColor;
                Button23.ForeColor = Color.White;

                Button1.KeyCode = "{Q}";
                Button2.KeyCode = "{W}";
                Button3.KeyCode = "{E}";
                Button4.KeyCode = "{R}";
                Button5.KeyCode = "{T}";
                Button6.KeyCode = "{Y}";
                Button7.KeyCode = "{U}";
                Button8.KeyCode = "{I}";
                Button9.KeyCode = "{O}";
                Button10.KeyCode = "{P}";
                Button31.KeyCode = "{,}";
                Button32.KeyCode = "{.}";

                Button1.Text = "Q";
                Button2.Text = "W";
                Button3.Text = "E";
                Button4.Text = "R";
                Button5.Text = "T";
                Button6.Text = "Y";
                Button7.Text = "U";
                Button8.Text = "I";
                Button9.Text = "O";
                Button10.Text = "P";
                Button31.Text = ",";
                Button32.Text = ".";
            }

        }


        private class btn : Button
        {
            private string keycode="";

            public btn()
            {
                SetStyle(ControlStyles.Selectable, false);
            }

            public string KeyCode
            {
                get
                {
                    return keycode;
                }
                set
                {
                    keycode = value;
                }
            }
        }

    }

    

}